Summary: The Reliable Event Logging Protocol library
Name: librelp
Version: 1.2.5
Release: 1%{?dist}
License: GPLv3+
Group: System Environment/Libraries
URL: http://www.rsyslog.com/
Source0: http://download.rsyslog.com/librelp/%{name}-%{version}.tar.gz
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gnutls-devel

%description
Librelp is an easy to use library for the RELP protocol. RELP (stands
for Reliable Event Logging Protocol) is a general-purpose, extensible
logging protocol.

%package devel
Summary: Development files for the %{name} package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Librelp is an easy to use library for the RELP protocol. The
librelp-devel package contains the header files and libraries needed
to develop applications using librelp.

%prep
%setup -q

%build
%configure --disable-static --disable-tls
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun
if [ "$1" = "0" ] ; then
    /sbin/ldconfig
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README doc/*html
%{_libdir}/librelp.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/librelp.so
%{_libdir}/pkgconfig/relp.pc

%changelog
* Thu Mar 20 2014 Andre Lorbach
- Updated to librelp 1.2.5

* Mon Mar 17 2014 Andre Lorbach
- Updated to librelp 1.2.4

* Thu Mar 13 2014 Andre Lorbach
- Final version of librelp 1.2.3

* Wed Mar 12 2014 Andre Lorbach
- Updated librelp 

* Tue Mar 11 2014 Andre Lorbach
- Updated to librelp 1.2.3

* Tue Jan 07 2014 Andre Lorbach
- Updated to librelp 1.2.2

* Mon Jul 15 2013 Andre Lorbach
- Updated to librelp 1.2.0

* Fri Jul 05 2013 Andre Lorbach
- Updated to librelp 1.1.5

* Tue Jul 03 2013 Andre Lorbach
- Updated to librelp 1.1.4

* Tue Jun 26 2013 Andre Lorbach
- Updated to librelp 1.1.3

* Tue Jun 11 2013 Andre Lorbach
- Updated to librelp 1.1.1 with TLS Support

* Tue May 07 2013 Andre Lorbach
- Updated to librelp 1.0.6

* Fri Apr 10 2013 Andre Lorbach
- Updated to librelp 1.0.3

* Fri Mar 15 2013 Andre Lorbach
- Updated to librelp 1.0.2

* Thu Sep 06 2012 Andre Lorbach
- Updated to librelp 1.0.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 15 2010 Tomas Heinrich <theinric@redhat.com> - 1.0.0-1
- upgrade to upstream version 1.0.0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May  7 2008 Tomas Heinrich <theinric@redhat.com> 0.1.1-2
- removed "BuildRequires: autoconf automake"

* Tue Apr 29 2008 Tomas Heinrich <theinric@redhat.com> 0.1.1-1
- initial build
